Facebook
LinkedIn
YouTube
Getting Started
Authentication
Authentication
  • V2 Authentication (Deprecated)
  • V3 Authentication
V2 API Documentation (Deprecated)V3 API Documentation
Dialer SDK
Getting Started
Authentication
Authentication
  • V2 Authentication (Deprecated)
  • V3 Authentication
V2 API Documentation (Deprecated)V3 API Documentation
Dialer SDK
  1. Insights
  • Platform
    • Users
      • List Users
      • Create User
      • Get User Details
      • Update User
      • Partial Update User
      • Delete User
    • Groups
      • Get Group Tree
      • List Child Groups
      • Get Group Details
      • List Groups
      • Get Org Unit Hierarchy
      • Update Group
      • Partial Update Group
      • Delete Group
      • Create Group
    • Webhooks
      • Create Webhook
      • Get Webhook Details
      • List Webhooks
      • Update Webhook
      • Partial Update Webhook
      • Delete Webhook
    • Media Prompts
      • List Prompts
      • Get Prompt by ID
      • Upload Prompt
      • Delete Prompt
  • AI Voice Agents
    • List AI Voice Agents
      GET
    • Get Agent Details
      GET
    • Delete Agent
      DELETE
  • Phone Numbers
    • Assigned Numbers
      GET
    • Provisioned Numbers
      GET
    • Reserved Numbers
      DELETE
    • Phone Numbers
      POST
    • Available Numbers
      GET
  • Provisioned Routes
    • List Provisioned Routes
      GET
    • Create Provisioned Route
      POST
    • Get Provisioned Route Details
      GET
    • Delete Provisioned Route
      DELETE
    • Update Provisioned Route
      PUT
    • Partial Update Provisioned Route
      PATCH
  • SMS Broadcasts
    • List Broadcasts
      GET
    • Create Broadcast
      POST
    • Get Broadcast Details
      GET
    • Update Broadcast
      PUT
    • Partial Update Broadcast
      PATCH
    • Delete Broadcast
      DELETE
  • Conversation
    • Calls
      • Get Calls List
      • Get Call By ID
      • Email Call Data
      • Move Call to Another Group
      • Add Notes to Calls
      • Upload Call Recording
      • Add Tags to Call
    • SMS
      • Get SMS Conversations
      • Get SMS Conversation By ID
    • Opportunity Recovery
      • Get Conversations By Custom Insights
    • Agent Performance
      • Get Agent Performance Metrics
    • Attribution Engine
      • Get Marketing Attribution Data
  • Blacklist
    • List blacklisted numbers
    • Add numbers to blacklist
    • Delete numbers from blacklist
  • Call Action Templates
    • Create Call Action Template
    • Update Call Action Template
  • Campaigns
    • List Campaigns
    • Create Campaign
    • Get Campaign Details
    • Update Campaign
    • Partial Update Campaign
    • Delete Campaign
  • Custom Insights
    • Get Custom Insights
    • Create New Custom Insight
    • Get Custom Insight By Id
    • Update Custom Insight
    • Partial Update Custom Insight
    • Delete Custom Insight
  • Custom Source
    • Get Custom Sources
    • Create Custom Source
    • Delete Custom Sources (Single or Multiple)
  • DNI
    • List DNI Settings
    • Update DNI Setting
    • Delete DNI Setting
    • Create DNI Setting
  • Geo Locations
    • List Geo Locations
    • Create Geo Location
    • Get Geo Location
    • Update Geo Location
    • Partially Update Geo Location
    • Delete Geo Location
    • List Geo Location Routes
    • Create Geo Location Route
    • Get Geo Location Route
    • Update Geo Location Route
    • Partially Update Geo Location Route
    • Delete Geo Location Route
    • Import Geo Location Routes from CSV
  • Insights
    • List Insights
      GET
    • Create Insight
      POST
    • Get Insight Details
      GET
    • Delete Insight
      DELETE
  • Scorecards
    • List Scorecards
    • Get Scored Calls Report
    • Create Scorecard
    • Add or Update Call Title
    • Duplicate Scorecard
    • Archive Scorecard
  • Miscellaneous
    • List Ad Sources
    • List Industries
    • List Tags
    • Create Tag
    • Update Tag
    • Delete Tag
  • Subscriptions
    • List Webhook Subscriptions
    • Create Webhook Subscription
    • Delete Webhook Subscription
  1. Insights

Get Insight Details

GET
https://platform-api.convirza.com/v3/insights/{id}
Insights
Last modified:2026-07-24 13:10:44
Fetches complete details for a single insight by ID.
Response Structure
Returns all insight fields including:
Insight basic information (ID, name, description, status)
Associated organization unit information
Creation and modification timestamps
Example Request
GET /insights/1

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200
application/json
Successfully retrieved insight details
Bodyapplication/json

🟠400
🟠401
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://platform-api.convirza.com/v3/insights/{id}' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "code": 200,
    "message": "Success",
    "data": {
        "insight_id": 1,
        "insight_name": "TEST Apr 17",
        "insight_type": "keyword",
        "insight_help": "n",
        "indicator_score_type": "Pass/Fail",
        "insight_status": "active",
        "indicator_active": true,
        "is_custom_ai": false,
        "llm_config": {
            "criteria": [
                {
                    "name": "Sales Qualification",
                    "output": "boolean",
                    "example": "true",
                    "question": "Did the agent qualify the customer?",
                    "restrictions": "Only consider explicit qualification questions"
                }
            ]
        },
        "keyword_config": {
            "hit_outcome_by": "Agent",
            "hit_keywords": "shri",
            "hit_mention": "mentions",
            "miss_outcome_by": "Agent",
            "miss_keywords": "",
            "miss_mention": "mentions"
        },
        "draft_details": {},
        "hit_outcome_by": "agent_caller",
        "hit_keywords": "shri",
        "miss_outcome_by": "",
        "miss_keywords": "",
        "hit_mention": "mention",
        "miss_mention": "",
        "insight_output": "boolean",
        "insight_guideline": "Only consider explicit questions",
        "insight_description": "Did the agent qualify the customer?",
        "insight_example": "true",
        "group_list": [
            {
                "id": 70035
            }
        ],
        "start_date": "2026-04-17 07:39:00",
        "indicator_start_date": "2026-04-17 07:39:00",
        "indicator_end_date": "2026-05-17 07:39:00",
        "indicator_group_active": false,
        "scorecards": 3,
        "creation_date": "2026-04-17T10:00:00Z",
        "last_updated": "2026-04-17T12:00:00Z",
        "created_at": "2026-04-17T10:00:00Z",
        "created_by": 101,
        "updated_at": "2026-04-17T12:00:00Z",
        "updated_by": 101,
        "deleted_at": null,
        "deleted_by": null
    },
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "timestamp": "2026-01-20T12:34:56.789Z"
}
Modified at 2026-07-24 13:10:44
Previous
Create Insight
Next
Delete Insight
Built with